
extends _base.pug

block title
  span Direct Relation Example

block ssvg
  input.custom-input.w-100#input(type="range" value="0" max='50')
  s-svg#ssvg
    svg#svg(height="40vh" width="100%" viewbox='0 0 100 100' preserveAspectRatio="xMidYMid meet" xmlns="http://www.w3.org/2000/svg")
      state.
        transition(duration="3s" timing-function='ease-in-out')
        property(name="range" type="number" min='0' max='50')
          // note: property domain directly maps target domain
          direct(query-selector='circle' attribute-name='r')
          // note: applying some formatting and modifications to the raw property value
          direct(query-selector='text' onupdate='`circle radius: ${Math.round($value)}%`')
          relation(query-selector='text' attribute-type='XML' attribute-name='font-size' from='4' to='10')
      circle(cx='50' cy='50' r='10%' fill='#ffd7a0' stroke='black' stroke-width='2')
      text(x='50' y='50' fill='black' text-anchor='middle')

  script(src=basePath + "/dist/ssvg-engine.js")
  script.
    ssvg.plugin();
    $(document).ready(() => {
      const ssvg = $('#ssvg');
      const input = $('#input');
      input.val(0);

      input.on('input', function() {
        ssvg.get(0).setState({ range: this.value });
      });
    });
